# $Revision: 1.7 $, $Date: 2009/02/17 23:44:03 $
Summary:	Vim plugin: Secure, user-configurable modeline support for Vim
Summary(pl.UTF-8):	Wtyczka Vima: bezpieczna, konfigurowalna obsługa linii trybów dla Vima
Name:		vim-plugin-securemodelines
Version:	20080424
Release:	2
# same as Vim
License:	Charityware
Group:		Applications/Editors/Vim
# Source0Download: http://www.vim.org/scripts/download_script.php?src_id=8598
Source0:	securemodelines.vim
URL:		http://www.vim.org/scripts/script.php?script_id=1876
Requires:	vim-rt >= 4:7.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_vimdatadir	%{_datadir}/vim/vimfiles

%description
Vim's internal modeline support allows all sorts of annoying and
potentially insecure options to be set. This script implements a much
more heavily restricted modeline parser that permits only
user-specified options to be set. 

%description -l pl.UTF-8
Wewnętrzna obsługa linii trybów (modeline) Vima pozwala na włączanie
dowolonych uciążliwych i potencjalnie niebezpiecznych opcji. Ten
skrypt jest implementacją dużo bardziej restrykcyjnego analizatora
linii trybów, pozwalającego na ustawianie tylko opcji określonych
przez użytkownika.
 
%prep
%setup -q -c -T
install %{SOURCE0} securemodelines.vim

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_vimdatadir}/plugin}
install securemodelines.vim $RPM_BUILD_ROOT%{_vimdatadir}/plugin

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_vimdatadir}/plugin/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim-plugin-securemodelines.spec,v $
Revision 1.7  2009/02/17 23:44:03  mmazur
- rel 2; stbr

Revision 1.6  2008/08/11 13:00:26  glen
- update to 20080424

Revision 1.5  2008/07/20 08:51:50  qboosh
- pl

Revision 1.4  2008/05/29 20:53:10  glen
- in SOURCES, not in df

Revision 1.3  2008-05-29 20:47:03  glen
- workaround for df; rel 3

Revision 1.2  2008-05-29 20:40:30  glen
- vimdatadir is in vim-rt package; rel 2

Revision 1.1  2008-01-21 19:05:15  glen
- new. solves the syntax modelines not recognized for root user problem
